REINTERACT(1)

NAME
reinteract - worksheet-based graphical Python shell

SYNOPSIS
reinteract [options]

OPTIONS

-h, --help
    show this help message and exit

-u UI, --ui=UI
    the user interface mode (standard or mini)

-d, --debug
    enable internal debug messages

Reinteract is a tool for interactive experimentation with Python oriented around "worksheets" containing Python code combined with the results of that code, formatted as text or graphical plots. Unlike a traditional shell, you can go back and edit previously entered statements, and the results will update.

Amongst other things, Reinteract is suitable for experimentation with the Python language and for data analysis using NumPy and SciPy.

AUTHOR

Reinteract was written by Owen Taylor <otaylor@fishsoup.net>.